#version 130

uniform vec4 ObjectColor;
uniform vec3 LightPos;

in vec3 FragPos;
in vec3 Normal;


// Ouput data
out vec4 color;



void main(){

    vec3 lightColor = vec3(1.0f, 1.0f, 1.0f); // CONSTANT
    float ambientStrength = 0.5;
    vec3 ambient = ambientStrength * lightColor;

    vec3 norm = normalize(Normal);
    //vec3 norm = vec3(0.0, -1.0, 0.0);
    vec3 lightDir = normalize(LightPos - FragPos);  
    float diff = clamp(dot(norm, lightDir), 0.0, 1.0);

    vec3 diffuse = diff * lightColor;
    vec3 result = (ambient + diffuse) * ObjectColor.xyz;
    color = vec4(result, ObjectColor.a);

    //color = ObjectColor;
}